> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set issue pin

> Pin or unpin the issue.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json patch /issues/{issue_id}/pin
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /issues/{issue_id}/pin:
    patch:
      tags:
        - Issues
      summary: Set issue pin
      description: Pin or unpin the issue.
      operationId: set_issue_pin
      parameters:
        - name: issue_id
          in: path
          required: true
          description: Issue ID.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                project_id:
                  type: string
                pinned:
                  type: boolean
              required:
                - project_id
                - pinned
              additionalProperties: false
      responses:
        '200':
          description: Updated issue
          content:
            application/json:
              schema:
                type: object
                properties:
                  issue:
                    type: object
                    properties:
                      id:
                        type: string
                      agent_name:
                        type:
                          - string
                          - 'null'
                      name:
                        type: string
                      category:
                        type:
                          - string
                          - 'null'
                        enum:
                          - retry_loop
                          - integration_failure
                          - skipped_work
                          - misread_instruction
                          - out_of_scope_work
                          - instruction_violation
                          - hallucination
                          - communication
                          - factual_misrepresentation
                          - environment_failure
                          - unsupported_request
                          - null
                      locus:
                        type:
                          - string
                          - 'null'
                      fault:
                        type:
                          - string
                          - 'null'
                      param:
                        type:
                          - string
                          - 'null'
                      status:
                        type: string
                        enum:
                          - open
                          - in_progress
                          - resolved
                          - dismissed
                      pinned:
                        type: boolean
                      assignee_user_id:
                        type:
                          - string
                          - 'null'
                      dismissal_reason:
                        type:
                          - string
                          - 'null'
                        enum:
                          - False positive
                          - Working as intended
                          - Test or synthetic traffic
                          - Acceptable edge case
                          - Known limitation
                          - Out of scope
                          - null
                      dismissal_detail:
                        type:
                          - string
                          - 'null'
                      tags:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            color:
                              type: string
                          required:
                            - id
                            - name
                            - color
                          additionalProperties: false
                      regressed_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      created_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      updated_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      introduced_in_release:
                        type:
                          - string
                          - 'null'
                      last_seen_in_release:
                        type:
                          - string
                          - 'null'
                      insight:
                        type: object
                        properties:
                          id:
                            type: string
                          title:
                            type: string
                        required:
                          - id
                          - title
                        additionalProperties: false
                      assessment:
                        type:
                          - object
                          - 'null'
                        properties:
                          behavior:
                            type: string
                          happened:
                            type:
                              - string
                              - 'null'
                          canonical_mechanism:
                            type:
                              - string
                              - 'null'
                          subsystem:
                            type:
                              - string
                              - 'null'
                          failure_class:
                            type:
                              - string
                              - 'null'
                        required:
                          - behavior
                          - happened
                          - canonical_mechanism
                          - subsystem
                          - failure_class
                        additionalProperties: false
                      fix_references:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            url:
                              type: string
                            kind:
                              type:
                                - string
                                - 'null'
                            note:
                              type:
                                - string
                                - 'null'
                          required:
                            - id
                            - url
                            - kind
                            - note
                          additionalProperties: false
                      first_seen_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      last_seen_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      occurrence_count:
                        type: number
                      trace_count:
                        type: number
                    required:
                      - id
                      - agent_name
                      - name
                      - category
                      - locus
                      - fault
                      - param
                      - status
                      - pinned
                      - assignee_user_id
                      - dismissal_reason
                      - dismissal_detail
                      - tags
                      - regressed_at
                      - created_at
                      - updated_at
                      - assessment
                      - fix_references
                      - first_seen_at
                      - last_seen_at
                      - occurrence_count
                      - trace_count
                    additionalProperties: false
                required:
                  - issue
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.